Content / REST API

Import content creator posts

Explicitly import up to five recent authored posts for a saved creator into Library. Replay-safe, no following or publishing.

POST /api/content/author-context/creators/{id}/importDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
idRequired · string
See the input schema for this field.
voiceIdRequired · string
See the input schema for this field.
linkedinAccountIdRequired · string
See the input schema for this field.
operationKeyRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/content/author-context/creators/00000000-0000-4000-8000-000000000000/import" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"voiceId":"00000000-0000-4000-8000-000000000000","linkedinAccountId":"00000000-0000-4000-8000-000000000000","operationKey":"00000000-0000-4000-8000-000000000000"}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string",
      "format": "uuid"
    },
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "voiceId": {
      "type": "string",
      "format": "uuid"
    },
    "linkedinAccountId": {
      "type": "string",
      "format": "uuid"
    },
    "operationKey": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "id",
    "voiceId",
    "linkedinAccountId",
    "operationKey"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview